package cn.edu.xmu;

package ..deTemp.1741569102853;

import cn.edu.xmu.WordCountData;
import cn.edu.xmu.WordCountTokenizer;
import java.lang.invoke.SerializedLambda;
import org.apache.flink.api.common.RuntimeExecutionMode;
import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.api.java.tuple.Tuple2;
import org.apache.flink.streaming.api.datastream.SingleOutputStreamOperator;
import org.apache.flink.streaming.api.environment.StreamExecutionEnvironment;

public class WrodCount {
  public static void main(String[] args) throws Exception {
    StreamExecutionEnvironment env = StreamExecutionEnvironment.getExecutionEnvironment();
    env.setRuntimeMode(RuntimeExecutionMode.BATCH);
    env.setParallelism(4);
    SingleOutputStreamOperator singleOutputStreamOperator = WordCountData.getDefaultTextLineDataStream(env).flatMap((FlatMapFunction)new WordCountTokenizer()).setParallelism(2).keyBy(value -> (String)value.f0).sum(1).setParallelism(4);
    singleOutputStreamOperator.print().setParallelism(1);
    env.execute("WordCount Batch Processing");
  }
}
